Subject: [Ace] comments on draft-ietf-ace-cmpv2-coap-transport-00

From: "Brockhaus, Hendrik" <[email-masked]>
Date: Thu, 11 Mar 2021 15:04:47 +0000

Mohit

I read your draft again. Thank you for this contribution. I like that it is very short.
Below there are some suggestions for an update of the document:

- Remove the indication of the CMP version (as stated in my previous email)

- As CMP Updates (draft-ietf-lamps-cmp-updates) is updating RFC 4210 as well as RFC 6712 you could add this to the references and add CMP Updates here and there to the text of your document where relevant.

- In RFC 4210 and the Lightweight CMP Profile Section 1.7 there is some terminology used like 
-------------snip-------------
   PKI management operation:  All CMP messages belonging to one
                              transaction context.  The transaction is
                              identified in the transactionID field of
                              the message header.

   PKI management entity:     All non-EE PKI entities such as LRA, RA,
                              and CA.
-------------snip-------------
  You could add the terminology section from Lightweight CMP Profile Section 1.7 to Section 1.1 of your document and make use of this terminology  implementing changes like this:
  . CMP transaction --> PKI management operation using CMP
  . RA and CA --> PKI management entity
  . EE to RA and EE to CA --> EE to PKI management entity

- In Section 2.7 you introduce DTLS as a mechanism to achieve end to end secrecy. I am not sure if I understand this correctly. My understanding is that CMP offers end to end security (integrity and data origin authentication) and DTLS may add hop-by-hop encryption. May be you could rephrase this sentence.

This is it for the moment. Many thanks once again for your effort.

Hendrik

Siemens AG
mailto:[email-masked]

www.siemens.com

Siemens Aktiengesellschaft: Chairman of the Supervisory Board: Jim Hagemann Snabe; Managing Board: Roland Busch, Chairman, President and Chief Executive Officer; Klaus Helmrich, Cedrik Neike, Matthias Rebellius, Ralf P. Thomas, Judith Wiese; Registered offices: Berlin and Munich, Germany; Commercial registries: Berlin-Charlottenburg, HRB 12300, Munich, HRB 6684; WEEE-Reg.-No. DE 23691322